/********************************************************************************
 Author : CAC (China Applications Support Team) 

 Date :   Mar, 2014

 File name :   ADIS16228.h

 Description :	 ADIS16228 registers

 Hardware plateform : 	EVAL-ADuCM360MKZ and ADIS16228/PCBZ
********************************************************************************/
#ifndef _ADIS16228DRIVER_H_
#define _ADIS16228DRIVER_H_  

#define   FLASH_CNT            0x00
#define   X_SENS               0x02
#define   Y_SENS               0x04
#define   Z_SENS               0x06
#define   TEMP_OUT             0x08
#define   SUPPLY_OUT           0x0A
#define   FFT_AVG1             0x0C
#define   FFT_AVG2             0x0E
#define   BUF_PNTR             0x10
#define   REC_PNTR             0x12
#define   X_BUF                0x14
#define   Y_BUF                0x16
#define   Z_BUF                0x18
#define   REC_CTRL1            0x1A
#define   REC_CTRL2            0x1C
#define   REC_PRD              0x1E
#define   ALM_F_LOW            0x20
#define   ALM_F_HIGH           0x22
#define   ALM_X_MAG1           0x24
#define   ALM_Y_MAG1           0x26
#define   ALM_Z_MAG1           0x28
#define   ALM_X_MAG2           0x2A
#define   ALM_Y_MAG2           0x2C
#define   ALM_Z_MAG2           0x2E
#define   ALM_PNTR             0x30
#define   ALM_S_MAG            0x32
#define   ALM_CTRL             0x34
#define   DIO_CTRL             0x36
#define   GPIO_CTRL            0x38
#define   AVG_CNT              0x3A
#define   DIAG_STAT            0x3C
#define   GLOB_CMD             0x3E
#define   ALM_X_STAT           0x40
#define   ALM_Y_STAT           0x42
#define   ALM_Z_STAT           0x44
#define   ALM_X_PEAK           0x46
#define   ALM_Y_PEAK           0x48
#define   ALM_Z_PEAK           0x4A
#define   TIME_STAMP_L         0x4C
#define   TIME_STAMP_H         0x4E
#define   LOT_ID1              0x52
#define   LOT_ID2              0x54
#define   PROD_ID              0x56
#define   SERIAL_NUM           0x58
#define   USER_ID              0x5A
#define   REC_FLSH_CNT         0x5C
#define   REC_INFO1            0x6E
#define   ALM_X_FREQ           0x70
#define   ALM_Y_FREQ           0x72
#define   ALM_Z_FREQ           0x74
#define   REC_INFO2            0x76
#define   REC_CNTR             0x78
#define   CAL_ENABLE           0x7A

void  ADIS16228WriteCommand(unsigned char Address, unsigned int SendValue);
int   ADIS16228ReadCommand(unsigned char Address);
void  ADIS16228StartAcquiring(void);
void  ADIS16228ReadFFTData(unsigned int DataBuff[], unsigned char AxisAddress);
void  ADIS16228ReadThreeAxisData(unsigned int XAxisDataBuff[],unsigned int YAxisDataBuff[],unsigned int ZAxisDataBuff[]);

#endif
